### Method

# Foundry KeyRotator check_expires_at

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_key_rotator_check_expires_at (
      FoundryKeyRotator* self,
      const char* host,
      const char* service_name,
      const char* secret
    )

#### Description [src]

Checks when the key expires by querying the service.

Available since: 1.1

#### Parameters

`host`

  Type: `const char*`

  The hostname.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`service_name`

  Type: `const char*`

  The name of the service such as “gitlab”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`secret`

  Type: `const char*`

  The current secret.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a GDateTime or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.